#include "zonefile_cod5_360.h"

#include <QFile>
#include <QDataStream>
#include <QDebug>

ZoneFile_COD5_360::ZoneFile_COD5_360()
    : ZoneFile()
{
    pSetType(1, ASSET_TYPE_PHYSPRESET);
    pSetType(3, ASSET_TYPE_DESTRUCTIBLE);
    pSetType(4, ASSET_TYPE_XANIMPARTS);
    pSetType(5, ASSET_TYPE_XMODEL);
    pSetType(6, ASSET_TYPE_MATERIAL);
    pSetType(8, ASSET_TYPE_TECHNIQUE_SET);
    pSetType(9, ASSET_TYPE_SOUND);
    pSetType(11, ASSET_TYPE_COL_MAP_SP);
    pSetType(12, ASSET_TYPE_COLLISION_MAP);
    pSetType(13, ASSET_TYPE_D3DBSP);
    pSetType(14, ASSET_TYPE_GAME_MAP_SP);
    pSetType(17, ASSET_TYPE_GFX_MAP);
    pSetType(18, ASSET_TYPE_LIGHT_DEF);
    pSetType(20, ASSET_TYPE_FONT);
    pSetType(21, ASSET_TYPE_MENU);
    pSetType(22, ASSET_TYPE_MENU);
    pSetType(24, ASSET_TYPE_LOCALIZE_ENTRY);
    pSetType(26, ASSET_TYPE_FX);
    pSetType(33, ASSET_TYPE_RAWFILE);

    //pSetType(-1, ASSET_TYPE_STRINGTABLE);
}

ZoneFile_COD5_360::~ZoneFile_COD5_360() {

}

bool ZoneFile_COD5_360::Load(const QByteArray aFileData) {
    return true;
}
